Name:       abcde
Version:    2.9.3
Release:    %mkrel 2
Summary:    Command-line utility to rip and encode audio CDs
License:    GPLv2
Group:      Sound
URL:        http://abcde.einval.com
Source0:    http://abcde.einval.com/download/%{name}-%{version}.tar.xz
Source1:    http://linukz.org/download/cd-discid-1.3.1.tar.xz
Patch0:     abcde-2.7.2-fix_makefile_install.patch
Patch1:     cd-discid--debuginfo.diff
Requires:   cdparanoia
Requires:   recode
Requires:   wget
Requires:   vorbis-tools
Requires:   perl-Mojolicious
Requires:   perl-WebService-MusicBrainz
Requires:	perl-MusicBrainz-DiscID

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or
MPP/MP+(Musepack) format, and tags them, all in one go.

%prep
%setup -q -b0 -a 1

%patch0 -p1 -b .FIX_MAK
pushd cd-discid-1.3.1
%patch1 -p0
popd

%build
pushd cd-discid-1.3.1
    %make_build
popd

%install
rm -rf %buildroot
%make_install

pushd cd-discid-1.3.1
    make install PREFIX=%{buildroot}%{_prefix}
popd

%clean
rm -rf %buildroot

%files
%doc changelog COPYING README FAQ
%doc examples/abcded examples/abcde.init examples/autorip.sh
%{_bindir}/abcde
%{_bindir}/abcde-musicbrainz-tool
%{_bindir}/cd-discid
%{_bindir}/cddb-tool
%{_mandir}/man1/abcde.*
%{_mandir}/man1/cd-discid.*
%{_mandir}/man1/cddb-tool.*
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Sun May 31 2020 tex - 2.9.3-2pclos2020
- fix rpm group to just Sound
- clean up specfile

* Fri May 22 2020 onkelho <oh.quait at gmail.com> - 2.9.3-1pclos2020
- new version release
